Agent auto-update known limitations

This is an Early Access feature. To enable it, use the Early Access Feature Manager as described in Manage Early Access and Beta features.

The following are the known limitations that apply to agent auto-update functionality:

  • Agent auto-update functionality is available with Okta Active Directory (AD) Agent version 3.8.0 and later. If your org uses Okta AD Agent versions earlier than 3.8.0, you need to update the agent to take advantage of agent auto-update functionality. See Update the Okta Active Directory agent.
  • Proxy servers are not supported. If you use a proxy server to access internet resources, use the following syntax to create a global HTTP_PROXY or HTTPS_PROXY environment variable: http[s]://[username[:password]@]server_name_or_ip[:port]. Update the environment variable syntax with the applicable components from your proxy server URL.